# Uses of Enum Class
org.eclipse.emf.cdo.transaction.CDOTransactionFinishedEvent.Cause

Packages that use CDOTransactionFinishedEvent.Cause
Package
Description
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.

## Uses of CDOTransactionFinishedEvent.Cause in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that return CDOTransactionFinishedEvent.Cause
Modifier and Type
Method
Description
`CDOTransactionFinishedEvent.Cause`
CDOTransactionFinishedEvent.`getCause()`
`static CDOTransactionFinishedEvent.Cause`
CDOTransactionFinishedEvent.Cause.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOTransactionFinishedEvent.Cause[]`
CDOTransactionFinishedEvent.Cause.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.